curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-quotations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-quotations/{id}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-quotations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isCancelled": true,
"isPending": true,
"itemDescriptionType": 0,
"readOnlyType": 0,
"salesQuotationStatus": 123,
"salesQuotationNumber": "<string>",
"departureCountry": {
"currencyFactor": 123,
"countryIso": "<string>",
"currencyIso": "<string>",
"stateCode": "<string>"
},
"externalDetails": {
"externalInvoiceType": 0,
"externalCreatedDate": "2023-11-07T05:31:56Z",
"externalSalesQuotationNumber": "<string>"
},
"paymentDetails": {
"cashDiscount": 123,
"cashDiscountDays": 123,
"financingCosts": 123,
"paymentDueDateInDays": 123,
"currencyFactor": 123,
"currencyIso": "<string>"
},
"shippingDetails": {
"extraWeight": 123,
"maxDeliveryDays": 123,
"shippingPriority": 123,
"deliveryFromDate": "2023-11-07T05:31:56Z",
"estimatedDeliveryDate": "2023-11-07T05:31:56Z",
"shippingDate": "2023-11-07T05:31:56Z"
},
"taxDetails": {
"taxReference": 0,
"specialTaxTreatment": 0,
"taxSetting": 0
},
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentInfo": {
"paymentInfoType": 123,
"accountHolder": "<string>",
"bankName": "<string>",
"bIC": "<string>",
"creditorId": "<string>",
"dueDate": "2023-11-07T05:31:56Z",
"endToEndId": "<string>",
"iBAN": "<string>",
"mandateReference": "<string>",
"paymentInfo": "<string>",
"paymentReference": "<string>",
"referenceEmail": "<string>"
},
"text": {
"comment": "<string>",
"customerComment": "<string>",
"printText": "<string>",
"processStatus": "<string>"
},
"salesQuotationDate": "2023-11-07T05:31:56Z",
"processColourId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"cartonItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"processStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"languageIso": "<string>",
"customerSalesQuotationNumber": "<string>",
"vatId": "<string>",
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shipmentAddress": {
"salesQuotationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"type": 0,
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"additionalCompanyLine": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryIso": "<string>",
"postId": "<string>",
"emailAddress": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"fax": "<string>",
"country": "<string>",
"customsDocumentsRequired": true,
"vatId": "<string>"
},
"billingAddress": {
"salesQuotationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"type": 0,
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salutation": "<string>",
"title": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"company": "<string>",
"additionalCompanyLine": "<string>",
"street": "<string>",
"additionalAddressLine": "<string>",
"city": "<string>",
"postalCode": "<string>",
"state": "<string>",
"countryIso": "<string>",
"postId": "<string>",
"emailAddress": "<string>",
"phoneNumber": "<string>",
"mobilePhoneNumber": "<string>",
"fax": "<string>",
"country": "<string>",
"customsDocumentsRequired": true,
"vatId": "<string>"
},
"lineItems": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesQuotationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isReserved": true,
"type": 0,
"lineItemType": 0,
"quantity": 123,
"salesPriceNet": 123,
"salesPriceGross": 123,
"discountPercent": 123,
"purchasePriceNet": 123,
"taxRate": 123,
"totalSalesPriceNet": 123,
"totalSalesPriceGross": 123,
"sortOrder": 123,
"hasUpload": true,
"configurationItemType": 0,
"billOfMaterialsType": 0,
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"sku": "<string>",
"name": "<string>",
"fnSku": "<string>",
"salesUnit": "<string>",
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"note": "<string>",
"standardName": "<string>",
"parentSalesQuotationLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
],
"keyFigures": {
"salesQuotationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"totalGrossAmount": 123,
"totalNetAmount": 123,
"totalGrossAmountExcludingShipping": 123,
"totalNetAmountExcludingShipping": 123,
"shippingCostNet": 123,
"shippingCostGross": 123,
"vatAmounts": [
{
"taxRate": 123,
"vatAmount": 123
}
]
}
}Retrieves a single sales quotation by its ID
Retrieves a single sales quotation by its ID
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
A single sales quotation.
Unique ID to identify a sales quoation.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Indicates if the quotation has been cancelled.
The SalesQuotation IsPending
The SalesQuotation ItemDescriptionType
0, 1, 2 The SalesQuotation ReadOnlyType
0, 1, 2 The SalesQuotation Status
The SalesQuotation SalesQuotationNumber
DepartureCountry
Show child attributes
Show child attributes
ExternalDetails
Show child attributes
Show child attributes
PaymentDetails
Show child attributes
Show child attributes
ShippingDetails
Show child attributes
Show child attributes
TaxDetails
Show child attributes
Show child attributes
Customer this SalesQuotation belongs to.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
SalesQuotationPaymentInfo
Show child attributes
Show child attributes
SalesQuotationText
Show child attributes
Show child attributes
The SalesQuotation Date
The SalesQuotation Process colour id
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation OnHold reason id
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation Carton item id
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation Payment method id
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation Shipping method id
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation Process status id
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The SalesQuotation Language iso code
The SalesQuotation Customer sales quotation number
The SalesQuotation Vat Id
The SalesQuotation Company Id
"b45f6432-2462-4c6f-b00f-1d9d01000000"
SalesQuotationShippingAddress
Show child attributes
Show child attributes
SalesQuotationBillingAddress
Show child attributes
Show child attributes
List of SalesQuotationLineItem
Show child attributes
Show child attributes
Key figures of the sales quotation.
Show child attributes
Show child attributes
Was this page helpful?